Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.systemdata
Class SystemDataMeta

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepMeta
          org.pentaho.di.trans.steps.systemdata.SystemDataMeta

All Implemented Interfaces:
  Cloneable, StepMetaInterface

    public class SystemDataMeta

extends BaseStepMeta
implements StepMetaInterface

Field Summary
`static SystemDataMetaFunction[]` | `functions`
`static int` | `TYPE_SYSTEM_INFO_ARGUMENT_01`
`static int` | `TYPE_SYSTEM_INFO_ARGUMENT_02`
`static int` | `TYPE_SYSTEM_INFO_ARGUMENT_03`
`static int` | `TYPE_SYSTEM_INFO_ARGUMENT_04`
`static int` | `TYPE_SYSTEM_INFO_ARGUMENT_05`
`static int` | `TYPE_SYSTEM_INFO_ARGUMENT_06`
`static int` | `TYPE_SYSTEM_INFO_ARGUMENT_07`
`static int` | `TYPE_SYSTEM_INFO_ARGUMENT_08`
`static int` | `TYPE_SYSTEM_INFO_ARGUMENT_09`
`static int` | `TYPE_SYSTEM_INFO_ARGUMENT_10`
`static int` | `TYPE_SYSTEM_INFO_COPYNR`
`static int` | `TYPE_SYSTEM_INFO_CURRENT_PID`
`static int` | `TYPE_SYSTEM_INFO_FILENAME`
`static int` | `TYPE_SYSTEM_INFO_HOSTNAME`
`static int` | `TYPE_SYSTEM_INFO_IP_ADDRESS`
`static int` | `TYPE_SYSTEM_INFO_JOB_BATCH_ID`
`static int` | `TYPE_SYSTEM_INFO_JOB_DATE_FROM`
`static int` | `TYPE_SYSTEM_INFO_JOB_DATE_TO`
`static int` | `TYPE_SYSTEM_INFO_KETTLE_BUILD_DATE`
`static int` | `TYPE_SYSTEM_INFO_KETTLE_BUILD_VERSION`
`static int` | `TYPE_SYSTEM_INFO_KETTLE_VERSION`
`static int` | `TYPE_SYSTEM_INFO_MODIFIED_DATE`
`static int` | `TYPE_SYSTEM_INFO_MODIFIED_USER`
`static int` | `TYPE_SYSTEM_INFO_NEXT_DAY_END`
`static int` | `TYPE_SYSTEM_INFO_NEXT_DAY_START`
`static int` | `TYPE_SYSTEM_INFO_NEXT_MONTH_END`
`static int` | `TYPE_SYSTEM_INFO_NEXT_MONTH_START`
`static int` | `TYPE_SYSTEM_INFO_NONE`
`static int` | `TYPE_SYSTEM_INFO_PREV_DAY_END`
`static int` | `TYPE_SYSTEM_INFO_PREV_DAY_START`
`static int` | `TYPE_SYSTEM_INFO_PREV_MONTH_END`
`static int` | `TYPE_SYSTEM_INFO_PREV_MONTH_START`
`static int` | `TYPE_SYSTEM_INFO_SYSTEM_DATE`
`static int` | `TYPE_SYSTEM_INFO_SYSTEM_START`
`static int` | `TYPE_SYSTEM_INFO_THIS_DAY_END`
`static int` | `TYPE_SYSTEM_INFO_THIS_DAY_START`
`static int` | `TYPE_SYSTEM_INFO_THIS_MONTH_END`
`static int` | `TYPE_SYSTEM_INFO_THIS_MONTH_START`
`static int` | `TYPE_SYSTEM_INFO_TRANS_BATCH_ID`
`static int` | `TYPE_SYSTEM_INFO_TRANS_DATE_FROM`
`static int` | `TYPE_SYSTEM_INFO_TRANS_DATE_TO`
`static int` | `TYPE_SYSTEM_INFO_TRANS_NAME`

Constructor Summary
`SystemDataMeta()`

Method Summary
`void` | `allocate(int count)`
`void` | `check(List<org.pentaho.di.core.CheckResultInterface> remarks, TransMeta transMeta, StepMeta stepMeta, org.pentaho.di.core.row.RowMetaInterface prev, String[] input, String[] output, org.pentaho.di.core.row.RowMetaInterface info)` Checks the settings of this step and puts the findings in a remarks List.
`Object` | `clone()` Make an exact copy of this step, make sure to explicitly copy Collections etc.
`String[]` | `getFieldName()`
`void` | `getFields(org.pentaho.di.core.row.RowMetaInterface row, String name, org.pentaho.di.core.row.RowMetaInterface[] info, StepMeta nextStep, org.pentaho.di.core.variables.VariableSpace space)` Get the fields that are emitted by this step
`int[]` | `getFieldType()`
`StepInterface` | `getStep(StepMeta stepMeta, StepDataInterface stepDataInterface, int cnr, TransMeta transMeta, Trans trans)` Get the executing step, needed by Trans to launch a step.
`StepDataInterface` | `getStepData()` Get a new instance of the appropriate data class.
`static int` | `getType(String type)`
`static String` | `getTypeDesc(int t)`
`Map<String,String>` | `getUsedArguments()` Default a step doesn't use any arguments.
`String` | `getXML()` Produces the XML string that describes this step's information.
`void` | `loadXML(Node stepnode, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Load the values for this step from an XML Node
`void` | `readRep(Repository rep, long id_step, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Read the steps information from a Kettle repository
`void` | `saveRep(Repository rep, long id_transformation, long id_step)` Save the steps data into a Kettle repository
`void` | `setDefault()` Set default values
`void` | `setFieldName(String[] fieldName)`
`void` | `setFieldType(int[] fieldType)`

Methods inherited from class org.pentaho.di.trans.step.BaseStepMeta
`analyseImpact, cancelQueries, chosesTargetSteps, excludeFromRowLayoutVerification, exportResources, getDialogClassName, getID, getInfoSteps, getRequiredFields, getRequiredFields, getResourceDependencies, getSQLStatements, getTableFields, getTargetSteps, getUsedDatabaseConnections, getUsedLibraries, hasChanged, searchInfoAndTargetSteps, setChanged, setChanged, setID, setInfoSteps, setTargetSteps, supportsErrorHandling`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepMetaInterface
`analyseImpact, cancelQueries, excludeFromRowLayoutVerification, exportResources, getDialogClassName, getInfoSteps, getRequiredFields, getRequiredFields, getResourceDependencies, getSQLStatements, getTableFields, getTargetSteps, getUsedDatabaseConnections, getUsedLibraries, searchInfoAndTargetSteps, setInfoSteps, setTargetSteps, supportsErrorHandling`

Field Detail

### TYPE_SYSTEM_INFO_NONE

    public static final int TYPE_SYSTEM_INFO_NONE

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_SYSTEM_DATE

    public static final int TYPE_SYSTEM_INFO_SYSTEM_DATE

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_SYSTEM_START

    public static final int TYPE_SYSTEM_INFO_SYSTEM_START

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_TRANS_DATE_FROM

    public static final int TYPE_SYSTEM_INFO_TRANS_DATE_FROM

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_TRANS_DATE_TO

    public static final int TYPE_SYSTEM_INFO_TRANS_DATE_TO

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_JOB_DATE_FROM

    public static final int TYPE_SYSTEM_INFO_JOB_DATE_FROM

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_JOB_DATE_TO

    public static final int TYPE_SYSTEM_INFO_JOB_DATE_TO

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_PREV_DAY_START

    public static final int TYPE_SYSTEM_INFO_PREV_DAY_START

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_PREV_DAY_END

    public static final int TYPE_SYSTEM_INFO_PREV_DAY_END

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_THIS_DAY_START

    public static final int TYPE_SYSTEM_INFO_THIS_DAY_START

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_THIS_DAY_END

    public static final int TYPE_SYSTEM_INFO_THIS_DAY_END

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_NEXT_DAY_START

    public static final int TYPE_SYSTEM_INFO_NEXT_DAY_START

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_NEXT_DAY_END

    public static final int TYPE_SYSTEM_INFO_NEXT_DAY_END

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_PREV_MONTH_START

    public static final int TYPE_SYSTEM_INFO_PREV_MONTH_START

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_PREV_MONTH_END

    public static final int TYPE_SYSTEM_INFO_PREV_MONTH_END

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_THIS_MONTH_START

    public static final int TYPE_SYSTEM_INFO_THIS_MONTH_START

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_THIS_MONTH_END

    public static final int TYPE_SYSTEM_INFO_THIS_MONTH_END

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_NEXT_MONTH_START

    public static final int TYPE_SYSTEM_INFO_NEXT_MONTH_START

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_NEXT_MONTH_END

    public static final int TYPE_SYSTEM_INFO_NEXT_MONTH_END

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_COPYNR

    public static final int TYPE_SYSTEM_INFO_COPYNR

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_TRANS_NAME

    public static final int TYPE_SYSTEM_INFO_TRANS_NAME

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_FILENAME

    public static final int TYPE_SYSTEM_INFO_FILENAME

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_MODIFIED_USER

    public static final int TYPE_SYSTEM_INFO_MODIFIED_USER

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_MODIFIED_DATE

    public static final int TYPE_SYSTEM_INFO_MODIFIED_DATE

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_TRANS_BATCH_ID

    public static final int TYPE_SYSTEM_INFO_TRANS_BATCH_ID

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_JOB_BATCH_ID

    public static final int TYPE_SYSTEM_INFO_JOB_BATCH_ID

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_HOSTNAME

    public static final int TYPE_SYSTEM_INFO_HOSTNAME

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_IP_ADDRESS

    public static final int TYPE_SYSTEM_INFO_IP_ADDRESS

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_ARGUMENT_01

    public static final int TYPE_SYSTEM_INFO_ARGUMENT_01

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_ARGUMENT_02

    public static final int TYPE_SYSTEM_INFO_ARGUMENT_02

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_ARGUMENT_03

    public static final int TYPE_SYSTEM_INFO_ARGUMENT_03

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_ARGUMENT_04

    public static final int TYPE_SYSTEM_INFO_ARGUMENT_04

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_ARGUMENT_05

    public static final int TYPE_SYSTEM_INFO_ARGUMENT_05

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_ARGUMENT_06

    public static final int TYPE_SYSTEM_INFO_ARGUMENT_06

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_ARGUMENT_07

    public static final int TYPE_SYSTEM_INFO_ARGUMENT_07

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_ARGUMENT_08

    public static final int TYPE_SYSTEM_INFO_ARGUMENT_08

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_ARGUMENT_09

    public static final int TYPE_SYSTEM_INFO_ARGUMENT_09

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_ARGUMENT_10

    public static final int TYPE_SYSTEM_INFO_ARGUMENT_10

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_KETTLE_VERSION

    public static final int TYPE_SYSTEM_INFO_KETTLE_VERSION

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_KETTLE_BUILD_VERSION

    public static final int TYPE_SYSTEM_INFO_KETTLE_BUILD_VERSION

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_KETTLE_BUILD_DATE

    public static final int TYPE_SYSTEM_INFO_KETTLE_BUILD_DATE

See Also:
  Constant Field Values

### TYPE_SYSTEM_INFO_CURRENT_PID

    public static final int TYPE_SYSTEM_INFO_CURRENT_PID

See Also:
  Constant Field Values

### functions

    public static final SystemDataMetaFunction[] functions

Constructor Detail

### SystemDataMeta

    public SystemDataMeta()

Method Detail

### getFieldName

    public String[] getFieldName()

  Returns:
    Returns the fieldName.

### setFieldName

    public void setFieldName(String[] fieldName)

  Parameters:
    `fieldName` - The fieldName to set.

### getFieldType

    public int[] getFieldType()

  Returns:
    Returns the fieldType.

### setFieldType

    public void setFieldType(int[] fieldType)

  Parameters:
    `fieldType` - The fieldType to set.

### loadXML

    public void loadXML(Node stepnode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Description copied from interface: `StepMetaInterface`
  Load the values for this step from an XML Node

  Specified by:
    `loadXML` in interface `StepMetaInterface`
  Parameters:
    `stepnode` - the Node to get the info from
    `databases` - The available list of databases to reference to
    `counters` - Counters to reference.
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException` - When an unexpected XML error occurred. (malformed etc.)

### allocate

    public void allocate(int count)

### clone

    public Object clone()

  Description copied from interface: `StepMetaInterface`
  Make an exact copy of this step, make sure to explicitly copy Collections etc.

  Specified by:
    `clone` in interface `StepMetaInterface`
  Overrides:
    `clone` in class `BaseStepMeta`
  Returns:
    an exact copy of this step

### getType

    public static final int getType(String type)

### getTypeDesc

    public static final String getTypeDesc(int t)

### setDefault

    public void setDefault()

  Description copied from interface: `StepMetaInterface`
  Set default values

  Specified by:
    `setDefault` in interface `StepMetaInterface`

### getFields

    public void getFields(org.pentaho.di.core.row.RowMetaInterface row,
                          String name,
                          org.pentaho.di.core.row.RowMetaInterface[] info,
                          StepMeta nextStep,
                          org.pentaho.di.core.variables.VariableSpace space)
                   throws org.pentaho.di.core.exception.KettleStepException

  Description copied from interface: `StepMetaInterface`
  Get the fields that are emitted by this step

  Specified by:
    `getFields` in interface `StepMetaInterface`
  Overrides:
    `getFields` in class `BaseStepMeta`
  Parameters:
    `row` - The fields that are entering the step. These are changed to reflect the output metadata.
    `name` - The name of the step to be used as origin
    `info` - The input rows metadata that enters the step through the specified channels in the same order as in method getInfoSteps(). The step metadata can then choose what to do with it: ignore it or not. Interesting is also that in case of database lookups, the layout of the target database table is put in info[0]
    `nextStep` - if this is a non-null value, it's the next step in the transformation. The one who's asking, the step where the data is targetted towards.
    `space` - TODO
  Throws:
    `org.pentaho.di.core.exception.KettleStepException` - when an error occurred searching for the fields.

### getXML

    public String getXML()

  Description copied from class: `BaseStepMeta`
  Produces the XML string that describes this step's information.

  Specified by:
    `getXML` in interface `StepMetaInterface`
  Overrides:
    `getXML` in class `BaseStepMeta`
  Returns:
    String containing the XML describing this step.

### readRep

    public void readRep(Repository rep,
                        long id_step,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Read the steps information from a Kettle repository

  Specified by:
    `readRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The repository to read from
    `id_step` - The step ID
    `databases` - The databases to reference
    `counters` - The counters to reference
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### saveRep

    public void saveRep(Repository rep,
                        long id_transformation,
                        long id_step)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Save the steps data into a Kettle repository

  Specified by:
    `saveRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The Kettle repository to save to
    `id_transformation` - The transformation ID
    `id_step` - The step ID
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### check

    public void check(List<org.pentaho.di.core.CheckResultInterface> remarks,
                      TransMeta transMeta,
                      StepMeta stepMeta,
                      org.pentaho.di.core.row.RowMetaInterface prev,
                      String[] input,
                      String[] output,
                      org.pentaho.di.core.row.RowMetaInterface info)

  Description copied from interface: `StepMetaInterface`
  Checks the settings of this step and puts the findings in a remarks List.

  Specified by:
    `check` in interface `StepMetaInterface`
  Parameters:
    `remarks` - The list to put the remarks in @see org.pentaho.di.core.CheckResult
    `stepMeta` - The stepMeta to help checking
    `prev` - The fields coming from the previous step
    `input` - The input step names
    `output` - The output step names
    `info` - The fields that are used as information by the step

### getUsedArguments

    public Map<String,String> getUsedArguments()

  Default a step doesn't use any arguments. Implement this to notify the GUI that a window has to be displayed BEFORE launching a transformation. You can also use this to specify certain Environment variable values.

  Specified by:
    `getUsedArguments` in interface `StepMetaInterface`
  Overrides:
    `getUsedArguments` in class `BaseStepMeta`
  Returns:
    A row of argument values. (name and optionally a default value) Put up to 10 values in the row for the possible 10 arguments. The name of the value is "1" through "10" for the 10 possible arguments.

### getStep

    public StepInterface getStep(StepMeta stepMeta,
                                 StepDataInterface stepDataInterface,
                                 int cnr,
                                 TransMeta transMeta,
                                 Trans trans)

  Description copied from interface: `StepMetaInterface`
  Get the executing step, needed by Trans to launch a step.

  Specified by:
    `getStep` in interface `StepMetaInterface`
  Parameters:
    `stepMeta` - The step info
    `stepDataInterface` - the step data interface linked to this step. Here the step can store temporary data, database connections, etc.
    `cnr` - The copy nr to get
    `transMeta` - The transformation info
    `trans` - The launching transformation

### getStepData

    public StepDataInterface getStepData()

  Description copied from interface: `StepMetaInterface`
  Get a new instance of the appropriate data class. This data class implements the StepDataInterface. It basically contains the persisting data that needs to live on, even if a worker thread is terminated.

  Specified by:
    `getStepData` in interface `StepMetaInterface`
  Returns:
    The appropriate StepDataInterface class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD